#include <t_services.h>
/*
 *  クロック関連定義
 */
#define	FCCLK	72000000
#define	FPCLK	(FCCLK/4)
/*
 *  各タスクの優先度の定義
 */

#define MAIN_PRIORITY	5		/* メインタスクの優先度 */
					/* HIGH_PRIORITY より高くすること */

#define HIGH_PRIORITY	9		/* 並列に実行されるタスクの優先度 */
#define MID_PRIORITY	10
#define LOW_PRIORITY	11

/*
 *  ターゲット依存の定義（CPU例外ハンドラの起動方法など）
 */

#define STACK_SIZE	512		/* タスクのスタックサイズ */

/*
 *  ターゲットに依存する可能性のある定数の定義
 */

#ifndef TASK_PORTID
#define	TASK_PORTID	1		/* 文字入力するシリアルポートID */
#endif /* TASK_PORTID */

#define	NPCMBUF		2
#define	MAX_NCHAN	2
#define	MAX_NGRAN	2
#define	MAX_NSAMP	576
#define	PCM_BSIZE	(MAX_NCHAN * MAX_NGRAN * MAX_NSAMP)
#define	NUM_TD		4		/* Number of OHCI TDs we have */

/*
 *  関数のプロトタイプ宣言
 */
#ifndef _MACRO_ONLY

extern void	main_task(VP_INT exinf);
extern void	ev_watcher(VP_INT exinf);
extern void	touch_task(VP_INT exinf);
extern void	console_task(VP_INT tskno);
extern void	pcmsender_task(VP_INT tskno);
extern void	player_task();
extern void	mp3decoder_task();
extern void	aacdecoder_task();
extern void	wavdecoder_task();
extern void	tuner_listener();
extern void	iso_task();
extern void	host_task();
extern void	i2s_handler();
extern void	Host_Isr();
extern void	Isr_MCI(void), Isr_GPDMA(void);
extern void	disk_timerproc(void);
extern void	s9705_restart();

#endif /* _MACRO_ONLY */
